import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
import { UiField } from "./UiField";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiComponentFieldCommandHandler, UiComponentFieldConfig, UiComponentFieldEventSource } from "../../generated/UiComponentFieldConfig";
import { UiComponent } from "../UiComponent";
export declare class UiComponentField extends UiField<UiComponentFieldConfig, void> implements UiComponentFieldEventSource, UiComponentFieldCommandHandler {
    private component;
    private $componentWrapper;
    protected initialize(config: UiComponentFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: void): boolean;
    setBordered(bordered: boolean): void;
    setComponent(component: UiComponent): void;
    setHeight(height: number): void;
    getMainInnerDomElement(): HTMLElement;
    getFocusableElement(): HTMLElement;
    protected displayCommittedValue(): void;
    focus(): void;
    getTransientValue(): void;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    getDefaultValue(): void;
    valuesChanged(v1: void, v2: void): boolean;
}
